## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1
%global forgeurl https://github.com/fralau/mkdocs-test

Name:           python-mkdocs-test
Version:        0.5.3
Release:        %autorelease
Summary:        Test framework for MkDocs projects

License:        MIT
URL:            https://mkdocs-test-plugin.readthedocs.io
# PyPI tarball doesn't include test artifacts
Source:         %{forgeurl}/archive/v%{version}/mkdocs-test-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  mkdocs
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(super-collections)
%endif

%global _description %{expand:
This package provides a framework for testing MkDocs projects.}

%description %_description

%package -n     python3-mkdocs-test
Summary:        %{summary}

%description -n python3-mkdocs-test %_description

%prep
%autosetup -p1 -n mkdocs-test-%{version}

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -x test
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l mkdocs_test

%check
%if %{with tests}
%pytest -v
%else
%pyproject_check_import
%endif

%files -n python3-mkdocs-test -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jun 06 2025 Python Maint <python-maint@redhat.com> - 0.5.3-2
- Rebuilt for Python 3.14

* Thu Jun 05 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.5.3-1
- Initial import; Fixes: RHBZ#2333267
## END: Generated by rpmautospec
